%?mingw_package_header

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-gdk-pixbuf
Version:        2.34.0
Release:        %mkrel 1
Summary:        MinGW Windows GDK Pixbuf library

License:        LGPLv2+
Group:          Development/Other
URL:            http://www.gtk.org
Source0:        http://download.gnome.org/sources/gdk-pixbuf/%{release_version}/gdk-pixbuf-%{version}.tar.xz

# If you want to rebuild this, do:
# wine /usr/i686-w64-mingw32/sys-root/mingw/bin/gdk-pixbuf-query-loaders.exe | sed s@'Z:/usr/i686-w64-mingw32/sys-root/mingw'@'..'@ > gdk-pixbuf.loaders
Source1:        gdk-pixbuf.loaders

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils

BuildRequires:  mingw32-glib2
BuildRequires:  mingw64-glib2
BuildRequires:  mingw32-jasper
BuildRequires:  mingw64-jasper
BuildRequires:  mingw32-libjpeg
BuildRequires:  mingw64-libjpeg
BuildRequires:  mingw32-libpng
BuildRequires:  mingw64-libpng
BuildRequires:  mingw32-libtiff
BuildRequires:  mingw64-libtiff

# Native one for msgfmt
BuildRequires:  gettext
# Native one for glib-genmarsjal
BuildRequires:  glib2-devel
# Native one for gtk-update-icon-cache
BuildRequires:  gtk2
# Native one for gdk-pixbuf-csource
BuildRequires:  gtk2-devel

%description
MinGW Windows GDK Pixbuf library.


%package -n mingw32-gdk-pixbuf
Summary:        MinGW Windows GDK Pixbuf library

%description -n mingw32-gdk-pixbuf
MinGW Windows GDK Pixbuf library.


%package -n mingw64-gdk-pixbuf
Summary:        MinGW Windows GDK Pixbuf library

%description -n mingw64-gdk-pixbuf
MinGW Windows GDK Pixbuf library.


%?mingw_debug_package


%prep
%setup -q -n gdk-pixbuf-%{version}


%build
%mingw_configure \
  --enable-relocations \
  --with-included-loaders=gdip-bmp,gdip-emf,gdip-gif,gdip-ico,gdip-jpeg,gdip-tiff,gdip-wmf,png \
  --with-libjasper
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# The .def files are only used while compiling the libraries themselves
# (they contain a list of functions which need to be exported by the linker)
# so they serve no purpose for other libraries and applications
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gdk_pixbuf-2.0.def
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gdk_pixbuf-2.0.def

# The .dll.a files are import libraries, but as the regular .dll's are
# only dlopen'ed by GTK they provide no additional value so they can be dropped
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.dll.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.dll.a

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# The gtk-doc documentation and man pages can also be dropped as they're
# already provided by the native package
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

# Install the loaders.cache file
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

%mingw_find_lang %{name} --all-name


%files -n mingw32-gdk-pixbuf -f mingw32-%{name}.lang
%license COPYING
%{mingw32_bindir}/gdk-pixbuf-csource.exe
%{mingw32_bindir}/gdk-pixbuf-pixdata.exe
%{mingw32_bindir}/gdk-pixbuf-query-loaders.exe
%{mingw32_bindir}/libgdk_pixbuf-2.0-0.dll
%dir %{mingw32_libdir}/gdk-pixbuf-2.0
%dir %{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0
%dir %{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-icns.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jasper.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pnm.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-qtif.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-tga.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xbm.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.dll
%{mingw32_libdir}/libgdk_pixbuf-2.0.dll.a
%{mingw32_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{mingw32_includedir}/gdk-pixbuf-2.0/

%files -n mingw64-gdk-pixbuf -f mingw64-%{name}.lang
%license COPYING
%{mingw64_bindir}/gdk-pixbuf-csource.exe
%{mingw64_bindir}/gdk-pixbuf-pixdata.exe
%{mingw64_bindir}/gdk-pixbuf-query-loaders.exe
%{mingw64_bindir}/libgdk_pixbuf-2.0-0.dll
%dir %{mingw64_libdir}/gdk-pixbuf-2.0
%dir %{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0
%dir %{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ani.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-icns.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-jasper.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-pnm.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-qtif.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-tga.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xbm.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.dll
%{mingw64_libdir}/libgdk_pixbuf-2.0.dll.a
%{mingw64_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{mingw64_includedir}/gdk-pixbuf-2.0/




%changelog
* Wed Apr 06 2016 tv <tv> 2.34.0-1.mga6
+ Revision: 998901
- rebuild with new gcc

* Wed Apr 06 2016 tv <tv> 2.32.3-7.mga6
+ Revision: 998878
- new release

* Sat Feb 06 2016 umeabot <umeabot> 2.28.2-7.mga6
+ Revision: 940926
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.28.2-6.mga5
+ Revision: 743058
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.28.2-5.mga5
+ Revision: 682436
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.28.2-4.mga4
+ Revision: 483620
- imported package mingw-gdk-pixbuf

